#
# Conditional build:
%bcond_without	gegl	# build without GeGL
%bcond_without	openmp	# OpenMP threading support
%bcond_without	opencl	# OpenCL support
%bcond_with	vte	# lighttable mode shell ("file manager" April fool)

Summary:	darktable - a virtual lighttable and darkroom for photographers
Summary(pl.UTF-8):	darktable - wirtualny podświetlany stół i ciemnia dla fotografów
Name:		darktable
Version:	2.6.0
Release:	2
License:	GPL v3
Group:		X11/Applications/Graphics
Source0:	https://github.com/darktable-org/darktable/releases/download/release-%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	720d6d4313d6aff0ea34885801846f95
Patch0:		cmake-glib.patch
Patch1:		rpath.patch
URL:		http://darktable.sourceforge.net/
BuildRequires:	GraphicsMagick-devel
%{?with_opencl:BuildRequires:	OpenCL-devel}
BuildRequires:	OpenEXR-devel >= 2.0
BuildRequires:	OpenGL-devel
BuildRequires:	SDL-devel >= 1.2
BuildRequires:	cairo-devel
BuildRequires:	cmake >= 2.6
BuildRequires:	colord-devel
BuildRequires:	curl-devel >= 7.18.0
BuildRequires:	dbus-glib-devel >= 0.80
BuildRequires:	desktop-file-utils
BuildRequires:	exiv2-devel
BuildRequires:	flickcurl-devel
BuildRequires:	fop
%{?with_openmp:BuildRequires:	gcc-c++ >= 6:4.3}
BuildRequires:	gdk-pixbuf2-devel >= 2
%{?with_gegl:BuildRequires:	gegl-devel}
BuildRequires:	gettext
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.30
BuildRequires:	gnome-doc-utils
BuildRequires:	gtk+2-devel >= 2:2.24
BuildRequires:	intltool
BuildRequires:	json-glib-devel
BuildRequires:	lcms2-devel >= 2
BuildRequires:	lensfun-devel
BuildRequires:	libglade2-devel
BuildRequires:	libgnome-keyring-devel
%{?with_openmp:BuildRequires:	libgomp-devel}
BuildRequires:	libgphoto2-devel >= 2.4.5
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	librsvg-devel >= 1:2.26
BuildRequires:	libsoup-devel >= 2
BuildRequires:	libtiff-devel
BuildRequires:	libwebp-devel >= 0.3.0
BuildRequires:	libxml2-devel >= 1:2.6
BuildRequires:	libxml2-progs
BuildRequires:	libxslt-progs
BuildRequires:	lua52-devel >= 5.2
BuildRequires:	openjpeg-devel >= 1.5.0
BuildRequires:	pango-devel
BuildRequires:	perl-tools-pod
BuildRequires:	pkgconfig >= 1:0.22
BuildRequires:	sqlite3-devel >= 3
BuildRequires:	squish-devel
%{?with_vte:BuildRequires:	vte-devel >= 0.26.0}
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	curl >= 7.18.0
Requires:	dbus-glib >= 0.80
Requires:	glib2 >= 1:2.30
Requires:	gtk+2 >= 2:2.24
Requires:	openjpeg >= 1.5.0
%{?with_vte:Requires:	vte >= 0.26.0}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
darktable is a virtual lighttable and darkroom for photographers.

%description -l pl.UTF-8
darktable to wirtualny podświetlany stół i ciemnia dla fotografów.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
install -d build
cd build
export CXXFLAGS="%{rpmcxxflags}"
%cmake .. \
	-DCMAKE_BUILD_TYPE=%{!?debug:RELEASE}%{?debug:DEBUG} \
	%{?with_vte:-DAPRIL_FOOLS=ON} \
	-DBINARY_PACKAGE_BUILD=ON \
	-DPROJECT_VERSION:STRING="%{name}-%{version}-%{release}" \
	%{!?with_opencl:-DUSE_OPENCL=OFF} \
	%{!?with_openmp:-DUSE_OPENMP=OFF}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}

%find_lang %{name} --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%update_icon_cache hicolor

%postun
%update_desktop_database_postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS CONTRIBUTING.md README.md RELEASE_NOTES.md
%doc doc/{TRANSLATORS.md,grouping.txt,thumbnail_color_management.txt}
%doc build/doc/darktablerc.html
%attr(755,root,root) %{_bindir}/darktable
%attr(755,root,root) %{_bindir}/darktable-chart
%attr(755,root,root) %{_bindir}/darktable-cli
%attr(755,root,root) %{_bindir}/darktable-cltest
%attr(755,root,root) %{_bindir}/darktable-cmstest
%attr(755,root,root) %{_bindir}/darktable-generate-cache
%attr(755,root,root) %{_bindir}/darktable-rs-identify
%{_datadir}/appdata/darktable.appdata.xml
%{_datadir}/darktable
%{_desktopdir}/darktable.desktop
%{_iconsdir}/hicolor/*/apps/darktable.png
%{_iconsdir}/hicolor/scalable/apps/darktable*.svg
%dir %{_libdir}/darktable
%dir %{_libdir}/darktable/plugins
%dir %{_libdir}/darktable/plugins/imageio
%dir %{_libdir}/darktable/plugins/imageio/format
%dir %{_libdir}/darktable/plugins/imageio/storage
%dir %{_libdir}/darktable/plugins/lighttable
%dir %{_libdir}/darktable/views
%attr(755,root,root) %{_libdir}/darktable/libdarktable.so
%attr(755,root,root) %{_libdir}/darktable/plugins/*.so
%attr(755,root,root) %{_libdir}/darktable/plugins/imageio/format/*.so
%attr(755,root,root) %{_libdir}/darktable/plugins/imageio/storage/*.so
%attr(755,root,root) %{_libdir}/darktable/plugins/lighttable/*.so
%attr(755,root,root) %{_libdir}/darktable/views/*.so
%lang(de) %{_mandir}/de/man1/darktable.1*
%lang(de) %{_mandir}/de/man1/darktable-cli.1*
%lang(de) %{_mandir}/de/man1/darktable-cltest.1*
%lang(de) %{_mandir}/de/man1/darktable-cmstest.1*
%lang(de) %{_mandir}/de/man1/darktable-generate-cache.1*
%lang(es) %{_mandir}/es/man1/darktable.1*
%lang(es) %{_mandir}/es/man1/darktable-cli.1*
%lang(es) %{_mandir}/es/man1/darktable-cltest.1*
%lang(es) %{_mandir}/es/man1/darktable-cmstest.1*
%lang(es) %{_mandir}/es/man1/darktable-generate-cache.1*
%lang(fr) %{_mandir}/fr/man1/darktable.1*
%lang(fr) %{_mandir}/fr/man1/darktable-cli.1*
%lang(fr) %{_mandir}/fr/man1/darktable-cltest.1*
%lang(fr) %{_mandir}/fr/man1/darktable-cmstest.1*
%lang(fr) %{_mandir}/fr/man1/darktable-generate-cache.1*
%{_mandir}/man1/darktable.1*
%{_mandir}/man1/darktable-cli.1*
%{_mandir}/man1/darktable-cltest.1*
%{_mandir}/man1/darktable-cmstest.1*
%{_mandir}/man1/darktable-generate-cache.1*
%changelog
* Fri May 10 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/darktable.git;a=log;h=master

* Fri May 10 2019 Jan Rękorajski <baggins@pld-linux.org> c557321
- release 2 (by relup.sh)

* Tue Feb 12 2019 Jan Rękorajski <baggins@pld-linux.org> ecf9bd4
- up to 2.6.0

* Mon Sep 25 2017 Jan Rękorajski <baggins@pld-linux.org> e4f83a2
- rebuild with exiv2 0.26
- release 7 (by relup.sh)

* Thu Apr 27 2017 Jan Rękorajski <baggins@pld-linux.org> 7edf2a6
- disable checking of narrowing constants
- rel 6

* Wed Sep 07 2016 Jakub Bogusz <qboosh@pld-linux.org> 0ce3625
- release 5 (exiv2 rebuild)

* Sun Mar 06 2016 Jakub Bogusz <qboosh@pld-linux.org> ebd2a55
- renamed gomp bcond to compiler-agnostic openmp

* Sun Jan 03 2016 Jan Rękorajski <baggins@pld-linux.org> dcc9668
- release 4 (by relup.sh)

* Sat Dec 05 2015 Jan Rękorajski <baggins@pld-linux.org> e15ae72
- release 3 (by relup.sh)

* Thu Jul 16 2015 Jan Rękorajski <baggins@pld-linux.org> 5f6e246
- release 2 (by relup.sh)

* Thu Jul 16 2015 Jan Rękorajski <baggins@pld-linux.org> 2326020
- fix building on x32

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 07bc9e8
- updated gettext BR

* Fri Nov 21 2014 Jakub Bogusz <qboosh@pld-linux.org> 61e3dd9
- updated to 1.4.2

* Mon Oct 27 2014 Jan Rękorajski <baggins@pld-linux.org> f4ef9c8
- release 7 (by relup.sh)

* Sun Oct 26 2014 Jan Rękorajski <baggins@pld-linux.org> e76c52a
- release 6 (by relup.sh)

* Sun Jun 08 2014 Jan Rękorajski <baggins@pld-linux.org> e3f4ac2
- release 5 (by relup.sh)

* Tue Apr 29 2014 Elan Ruusamäe <glen@delfi.ee> 6a69775
- no gconf since 1.0.5

* Mon Apr 14 2014 Jan Rękorajski <baggins@pld-linux.org> d9dd064
- release 3 (by relup.sh)

* Thu Jan 30 2014 Jan Rękorajski <baggins@pld-linux.org> d77972e
- rebuild with libwebp 0.4.0
- release 2 (by relup.sh)

* Mon Jan 06 2014 Jan Rękorajski <baggins@pld-linux.org> dcfc9a0
- updated to 1.4

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 8f82935
- release 3 (by relup.sh)

